Fetch AR aging detail for a customer
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging/customer/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging/customer/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "AR_Aging_Customer_Detail",
"as_of_date": "2023-11-07T05:31:56Z",
"customer": {
"type": "CustomerData",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "31415926535",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
},
"buckets": [
{
"start_day_number": 123,
"end_day_number": 123,
"outstanding_value": 123
}
],
"current": 123,
"days_1_30": 123,
"days_31_60": 123,
"days_61_90": 123,
"days_91_over": 123,
"total": 123
}
}{
"description": "<string>",
"meta": {}
}A/R Reports
Fetch AR aging detail for a customer
Returns detailed accounts receivable aging information for a specific customer, including outstanding balances broken down by aging buckets (current, 1-30 days, 31-60 days, 61-90 days, 91+ days).
GET
/
v1
/
businesses
/
{businessId}
/
invoices
/
ar-aging
/
customer
/
{customerId}
Fetch AR aging detail for a customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch the AR aging detail for.
The UUID of the customer to fetch AR aging detail for.
Response
AR aging customer detail retrieved successfully.
Detailed AR aging information for a specific customer.
Show child attributes
Show child attributes
⌘I